﻿/**
* EventProxy by Grant Skinner. Dec 18, 2004
* Visit www.gskinner.com for documentation, updates and more free code.
*
* You may distribute this code freely, as long as this comment block remains intact.
*/

class com.gskinner.events.EventProxy {
// public properties:
	public var listener:Object;
	public var functionName:String;
	public var enabled:Boolean = true;
	
// initialization
	public function EventProxy(p_listener:Object,p_functionName:String) {
		listener = p_listener;
		functionName = p_functionName;
	}

// semi-public methods:
	function handleEvent(p_evtObj:Object):Void {
		if (!enabled) { return; }
		listener[(functionName!=undefined) ? functionName : p_evtObj.type](p_evtObj);
		listener.handleEvent(p_evtObj);
	}
}