﻿/*
* This MovieLoader class was created by Wes Gorgichuk of gskinner.com.
* Visit www.gskinner.com/blog for other samples, and more free code.
*/
import com.gskinner.net.MovieClipLoader2;
import com.gskinner.events.EventProxy;
//
class com.gskinner.videodemo.MovieLoader extends MovieClip {
// Constants:
	public static var CLASS_REF = com.gskinner.videodemo.MovieLoader;
	public static var LINKAGE_ID:String = "com.gskinner.videodemo.MovieLoader";
	private static var MOVIE_PATH:String = 'Sample.swf';
// Public Properties:
// Private Properties:
	private var loader:MovieClipLoader2;
	
// UI Elements:
	private var gLogo:MovieClip;
	private var loaderClip:MovieClip;
	private var loaderTxt:TextField;
	private var bg:MovieClip;

// Initialization:
	private function MovieLoader() {}
	private function onLoad():Void { configUI(); }

// Public Methods:
// Semi-Private Methods:
// Private Methods:
	private function updateProgress(p_eventObj:Object):Void {
		loaderTxt.text = Math.floor((p_eventObj.loadedBytes / p_eventObj.totalBytes) * 100) + '%';
	}
	private function loadInit(p_eventObj:Object):Void {
		delete loader;
		loaderTxt._visible = gLogo._visible = bg._visible = false;
	}
	private function configUI():Void {
		loader = new MovieClipLoader2;
		loader.addEventListener('loadProgress', new EventProxy(this, 'updateProgress'));
		loader.addEventListener('loadInit', new EventProxy(this, 'loadInit'));
		loader.loadClip(MOVIE_PATH, loaderClip);
	}

}